Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
Class CoreJavadocOptions

    java.lang.Object
      org.gradle.external.javadoc.CoreJavadocOptions

All Implemented Interfaces:
  MinimalJavadocOptions

Direct Known Subclasses:
  StandardJavadocDocletOptions

    public abstract class CoreJavadocOptions

extends java.lang.Object
implements MinimalJavadocOptions

Constructor Summary
`` | `CoreJavadocOptions()`
`protected` | `CoreJavadocOptions(JavadocOptionFile optionFile)`

Method Summary
`JavadocOptionFileOption<java.lang.Boolean>` | `addBooleanOption(java.lang.String option)`
`JavadocOptionFileOption<java.lang.Boolean>` | `addBooleanOption(java.lang.String option, boolean value)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(java.lang.String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(java.lang.String option, T value)`
`JavadocOptionFileOption<java.io.File>` | `addFileOption(java.lang.String option)`
`JavadocOptionFileOption<java.io.File>` | `addFileOption(java.lang.String option, java.io.File value)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addMultilineStringsOption(java.lang.String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addOption(JavadocOptionFileOption<T> option)`
`JavadocOptionFileOption<java.util.List<java.io.File>>` | `addPathOption(java.lang.String option)`
`JavadocOptionFileOption<java.util.List<java.io.File>>` | `addPathOption(java.lang.String option, java.lang.String joinBy)`
`JavadocOptionFileOption<java.lang.String>` | `addStringOption(java.lang.String option)`
`JavadocOptionFileOption<java.lang.String>` | `addStringOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addStringsOption(java.lang.String option)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addStringsOption(java.lang.String option, java.lang.String joinBy)`
`MinimalJavadocOptions` | `bootClasspath(java.io.File... bootClasspath)`
`MinimalJavadocOptions` | `breakIterator()`
`MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
`MinimalJavadocOptions` | `classpath(java.io.File... classpath)`
`MinimalJavadocOptions` | `classpath(java.util.List<java.io.File> classpath)`
`void` | `contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)`
`MinimalJavadocOptions` | `doclet(java.lang.String doclet)`
`MinimalJavadocOptions` | `docletClasspath(java.io.File... docletClasspath)`
`MinimalJavadocOptions` | `encoding(java.lang.String encoding)`
`MinimalJavadocOptions` | `exclude(java.lang.String... exclude)`
`MinimalJavadocOptions` | `extDirs(java.io.File... extDirs)`
`java.util.List<java.io.File>` | `getBootClasspath()`
`java.util.List<java.io.File>` | `getClasspath()`
`java.lang.String` | `getDoclet()`
`java.util.List<java.io.File>` | `getDocletClasspath()`
`java.lang.String` | `getEncoding()`
`java.util.List<java.lang.String>` | `getExclude()`
`java.util.List<java.io.File>` | `getExtDirs()`
`java.util.List<java.lang.String>` | `getJFlags()`
`java.lang.String` | `getLocale()`
`JavadocMemberLevel` | `getMemberLevel()`
`java.util.List<java.io.File>` | `getOptionFiles()`
`JavadocOutputLevel` | `getOutputLevel()`
`java.lang.String` | `getOverview()`
`java.util.List<java.lang.String>` | `getPackageNames()`
`java.lang.String` | `getSource()`
`java.util.List<java.lang.String>` | `getSourceNames()`
`java.util.List<java.io.File>` | `getSourcepath()`
`java.util.List<java.lang.String>` | `getSubPackages()`
`boolean` | `isBreakIterator()`
`boolean` | `isVerbose()`
`MinimalJavadocOptions` | `jFlags(java.lang.String... jFlags)`
`MinimalJavadocOptions` | `locale(java.lang.String locale)`
`MinimalJavadocOptions` | `optionFiles(java.io.File... argumentFiles)`
`MinimalJavadocOptions` | `overview(java.lang.String overview)` Fluent setter for the overview option.
`MinimalJavadocOptions` | `packageNames(java.lang.String... packageNames)`
`MinimalJavadocOptions` | `quiet()`
`void` | `setBootClasspath(java.util.List<java.io.File> bootClasspath)`
`void` | `setBreakIterator(boolean breakIterator)`
`void` | `setClasspath(java.util.List<java.io.File> classpath)`
`void` | `setDoclet(java.lang.String doclet)`
`void` | `setDocletClasspath(java.util.List<java.io.File> docletClasspath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setExclude(java.util.List<java.lang.String> exclude)`
`void` | `setExtDirs(java.util.List<java.io.File> extDirs)`
`void` | `setJFlags(java.util.List<java.lang.String> jFlags)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
`void` | `setOptionFiles(java.util.List<java.io.File> optionFiles)`
`void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
`void` | `setOverview(java.lang.String overview)`
`void` | `setPackageNames(java.util.List<java.lang.String> packageNames)`
`void` | `setSource(java.lang.String source)`
`void` | `setSourceNames(java.util.List<java.lang.String> sourceNames)`
`void` | `setSourcepath(java.util.List<java.io.File> sourcepath)`
`void` | `setSubPackages(java.util.List<java.lang.String> subPackages)`
`MinimalJavadocOptions` | `showAll()`
`MinimalJavadocOptions` | `showFromPackage()`
`MinimalJavadocOptions` | `showFromPrivate()`
`MinimalJavadocOptions` | `showFromProtected()`
`MinimalJavadocOptions` | `showFromPublic()`
`MinimalJavadocOptions` | `source(java.lang.String source)`
`MinimalJavadocOptions` | `sourceNames(java.lang.String... sourceNames)`
`MinimalJavadocOptions` | `sourcepath(java.io.File... sourcepath)`
`MinimalJavadocOptions` | `sourcepath(java.util.List<java.io.File> sourcepath)`
`MinimalJavadocOptions` | `subPackages(java.lang.String... subPackages)`
`MinimalJavadocOptions` | `verbose()`
`void` | `write(java.io.File outputFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.external.javadoc.MinimalJavadocOptions
`destinationDirectory, getDestinationDirectory, getWindowTitle, setDestinationDirectory, setWindowTitle, windowTitle`

Constructor Detail

### CoreJavadocOptions

    public CoreJavadocOptions()

### CoreJavadocOptions

    protected CoreJavadocOptions(JavadocOptionFile optionFile)

Method Detail

### getOverview

    public java.lang.String getOverview()

  Specified by:
    `getOverview` in interface `MinimalJavadocOptions`

### setOverview

    public void setOverview(java.lang.String overview)

  Specified by:
    `setOverview` in interface `MinimalJavadocOptions`

### overview

    public MinimalJavadocOptions overview(java.lang.String overview)

  Fluent setter for the overview option.

  Specified by:
    `overview` in interface `MinimalJavadocOptions`
  Parameters:
    `overview` - The new overview.
  Returns:
    The `MinimalJavadocOptions` object.

### getMemberLevel

    public JavadocMemberLevel getMemberLevel()

  Specified by:
    `getMemberLevel` in interface `MinimalJavadocOptions`

### setMemberLevel

    public void setMemberLevel(JavadocMemberLevel memberLevel)

  Specified by:
    `setMemberLevel` in interface `MinimalJavadocOptions`

### showFromPublic

    public MinimalJavadocOptions showFromPublic()

  Specified by:
    `showFromPublic` in interface `MinimalJavadocOptions`

### showFromProtected

    public MinimalJavadocOptions showFromProtected()

  Specified by:
    `showFromProtected` in interface `MinimalJavadocOptions`

### showFromPackage

    public MinimalJavadocOptions showFromPackage()

  Specified by:
    `showFromPackage` in interface `MinimalJavadocOptions`

### contributeCommandLineOptions

    public void contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)

  Specified by:
    `contributeCommandLineOptions` in interface `MinimalJavadocOptions`

### showFromPrivate

    public MinimalJavadocOptions showFromPrivate()

  Specified by:
    `showFromPrivate` in interface `MinimalJavadocOptions`

### showAll

    public MinimalJavadocOptions showAll()

  Specified by:
    `showAll` in interface `MinimalJavadocOptions`

### getDoclet

    public java.lang.String getDoclet()

  Specified by:
    `getDoclet` in interface `MinimalJavadocOptions`

### setDoclet

    public void setDoclet(java.lang.String doclet)

  Specified by:
    `setDoclet` in interface `MinimalJavadocOptions`

### doclet

    public MinimalJavadocOptions doclet(java.lang.String doclet)

  Specified by:
    `doclet` in interface `MinimalJavadocOptions`

### getDocletClasspath

    public java.util.List<java.io.File> getDocletClasspath()

  Specified by:
    `getDocletClasspath` in interface `MinimalJavadocOptions`

### setDocletClasspath

    public void setDocletClasspath(java.util.List<java.io.File> docletClasspath)

  Specified by:
    `setDocletClasspath` in interface `MinimalJavadocOptions`

### docletClasspath

    public MinimalJavadocOptions docletClasspath(java.io.File... docletClasspath)

  Specified by:
    `docletClasspath` in interface `MinimalJavadocOptions`

### getSource

    public java.lang.String getSource()

  Specified by:
    `getSource` in interface `MinimalJavadocOptions`

### setSource

    public void setSource(java.lang.String source)

  Specified by:
    `setSource` in interface `MinimalJavadocOptions`

### source

    public MinimalJavadocOptions source(java.lang.String source)

  Specified by:
    `source` in interface `MinimalJavadocOptions`

### getSourcepath

    public java.util.List<java.io.File> getSourcepath()

  Specified by:
    `getSourcepath` in interface `MinimalJavadocOptions`

### setSourcepath

    public void setSourcepath(java.util.List<java.io.File> sourcepath)

  Specified by:
    `setSourcepath` in interface `MinimalJavadocOptions`

### sourcepath

    public MinimalJavadocOptions sourcepath(java.util.List<java.io.File> sourcepath)

  Specified by:
    `sourcepath` in interface `MinimalJavadocOptions`

### sourcepath

    public MinimalJavadocOptions sourcepath(java.io.File... sourcepath)

  Specified by:
    `sourcepath` in interface `MinimalJavadocOptions`

### getClasspath

    public java.util.List<java.io.File> getClasspath()

  Specified by:
    `getClasspath` in interface `MinimalJavadocOptions`

### setClasspath

    public void setClasspath(java.util.List<java.io.File> classpath)

  Specified by:
    `setClasspath` in interface `MinimalJavadocOptions`

### classpath

    public MinimalJavadocOptions classpath(java.util.List<java.io.File> classpath)

  Specified by:
    `classpath` in interface `MinimalJavadocOptions`

### classpath

    public MinimalJavadocOptions classpath(java.io.File... classpath)

  Specified by:
    `classpath` in interface `MinimalJavadocOptions`

### getSubPackages

    public java.util.List<java.lang.String> getSubPackages()

  Specified by:
    `getSubPackages` in interface `MinimalJavadocOptions`

### setSubPackages

    public void setSubPackages(java.util.List<java.lang.String> subPackages)

  Specified by:
    `setSubPackages` in interface `MinimalJavadocOptions`

### subPackages

    public MinimalJavadocOptions subPackages(java.lang.String... subPackages)

  Specified by:
    `subPackages` in interface `MinimalJavadocOptions`

### getExclude

    public java.util.List<java.lang.String> getExclude()

  Specified by:
    `getExclude` in interface `MinimalJavadocOptions`

### setExclude

    public void setExclude(java.util.List<java.lang.String> exclude)

  Specified by:
    `setExclude` in interface `MinimalJavadocOptions`

### exclude

    public MinimalJavadocOptions exclude(java.lang.String... exclude)

  Specified by:
    `exclude` in interface `MinimalJavadocOptions`

### getBootClasspath

    public java.util.List<java.io.File> getBootClasspath()

  Specified by:
    `getBootClasspath` in interface `MinimalJavadocOptions`

### setBootClasspath

    public void setBootClasspath(java.util.List<java.io.File> bootClasspath)

  Specified by:
    `setBootClasspath` in interface `MinimalJavadocOptions`

### bootClasspath

    public MinimalJavadocOptions bootClasspath(java.io.File... bootClasspath)

  Specified by:
    `bootClasspath` in interface `MinimalJavadocOptions`

### getExtDirs

    public java.util.List<java.io.File> getExtDirs()

  Specified by:
    `getExtDirs` in interface `MinimalJavadocOptions`

### setExtDirs

    public void setExtDirs(java.util.List<java.io.File> extDirs)

  Specified by:
    `setExtDirs` in interface `MinimalJavadocOptions`

### extDirs

    public MinimalJavadocOptions extDirs(java.io.File... extDirs)

  Specified by:
    `extDirs` in interface `MinimalJavadocOptions`

### getOutputLevel

    public JavadocOutputLevel getOutputLevel()

  Specified by:
    `getOutputLevel` in interface `MinimalJavadocOptions`

### setOutputLevel

    public void setOutputLevel(JavadocOutputLevel outputLevel)

  Specified by:
    `setOutputLevel` in interface `MinimalJavadocOptions`

### verbose

    public MinimalJavadocOptions verbose()

  Specified by:
    `verbose` in interface `MinimalJavadocOptions`

### isVerbose

    public boolean isVerbose()

  Specified by:
    `isVerbose` in interface `MinimalJavadocOptions`

### quiet

    public MinimalJavadocOptions quiet()

  Specified by:
    `quiet` in interface `MinimalJavadocOptions`

### isBreakIterator

    public boolean isBreakIterator()

  Specified by:
    `isBreakIterator` in interface `MinimalJavadocOptions`

### setBreakIterator

    public void setBreakIterator(boolean breakIterator)

  Specified by:
    `setBreakIterator` in interface `MinimalJavadocOptions`

### breakIterator

    public MinimalJavadocOptions breakIterator(boolean breakIterator)

  Specified by:
    `breakIterator` in interface `MinimalJavadocOptions`

### breakIterator

    public MinimalJavadocOptions breakIterator()

  Specified by:
    `breakIterator` in interface `MinimalJavadocOptions`

### getLocale

    public java.lang.String getLocale()

  Specified by:
    `getLocale` in interface `MinimalJavadocOptions`

### setLocale

    public void setLocale(java.lang.String locale)

  Specified by:
    `setLocale` in interface `MinimalJavadocOptions`

### locale

    public MinimalJavadocOptions locale(java.lang.String locale)

  Specified by:
    `locale` in interface `MinimalJavadocOptions`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `MinimalJavadocOptions`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `MinimalJavadocOptions`

### encoding

    public MinimalJavadocOptions encoding(java.lang.String encoding)

  Specified by:
    `encoding` in interface `MinimalJavadocOptions`

### getPackageNames

    public java.util.List<java.lang.String> getPackageNames()

  Specified by:
    `getPackageNames` in interface `MinimalJavadocOptions`

### setPackageNames

    public void setPackageNames(java.util.List<java.lang.String> packageNames)

  Specified by:
    `setPackageNames` in interface `MinimalJavadocOptions`

### packageNames

    public MinimalJavadocOptions packageNames(java.lang.String... packageNames)

  Specified by:
    `packageNames` in interface `MinimalJavadocOptions`

### getSourceNames

    public java.util.List<java.lang.String> getSourceNames()

  Specified by:
    `getSourceNames` in interface `MinimalJavadocOptions`

### setSourceNames

    public void setSourceNames(java.util.List<java.lang.String> sourceNames)

  Specified by:
    `setSourceNames` in interface `MinimalJavadocOptions`

### sourceNames

    public MinimalJavadocOptions sourceNames(java.lang.String... sourceNames)

  Specified by:
    `sourceNames` in interface `MinimalJavadocOptions`

### getJFlags

    public java.util.List<java.lang.String> getJFlags()

  Specified by:
    `getJFlags` in interface `MinimalJavadocOptions`

### setJFlags

    public void setJFlags(java.util.List<java.lang.String> jFlags)

  Specified by:
    `setJFlags` in interface `MinimalJavadocOptions`

### jFlags

    public MinimalJavadocOptions jFlags(java.lang.String... jFlags)

  Specified by:
    `jFlags` in interface `MinimalJavadocOptions`

### getOptionFiles

    public java.util.List<java.io.File> getOptionFiles()

  Specified by:
    `getOptionFiles` in interface `MinimalJavadocOptions`

### setOptionFiles

    public void setOptionFiles(java.util.List<java.io.File> optionFiles)

  Specified by:
    `setOptionFiles` in interface `MinimalJavadocOptions`

### optionFiles

    public MinimalJavadocOptions optionFiles(java.io.File... argumentFiles)

  Specified by:
    `optionFiles` in interface `MinimalJavadocOptions`

### write

    public final void write(java.io.File outputFile)
                     throws java.io.IOException

  Specified by:
    `write` in interface `MinimalJavadocOptions`
  Throws:
    `java.io.IOException`

### addOption

    public <T> JavadocOptionFileOption<T> addOption(JavadocOptionFileOption<T> option)

### addStringOption

    public JavadocOptionFileOption<java.lang.String> addStringOption(java.lang.String option)

### addStringOption

    public JavadocOptionFileOption<java.lang.String> addStringOption(java.lang.String option,
                                                                     java.lang.String value)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(java.lang.String option)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(java.lang.String option,
                                                        T value)

### addPathOption

    public JavadocOptionFileOption<java.util.List<java.io.File>> addPathOption(java.lang.String option)

### addPathOption

    public JavadocOptionFileOption<java.util.List<java.io.File>> addPathOption(java.lang.String option,
                                                                               java.lang.String joinBy)

### addStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addStringsOption(java.lang.String option)

### addStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addStringsOption(java.lang.String option,
                                                                                      java.lang.String joinBy)

### addMultilineStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addMultilineStringsOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption<java.lang.Boolean> addBooleanOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption<java.lang.Boolean> addBooleanOption(java.lang.String option,
                                                                       boolean value)

### addFileOption

    public JavadocOptionFileOption<java.io.File> addFileOption(java.lang.String option)

### addFileOption

    public JavadocOptionFileOption<java.io.File> addFileOption(java.lang.String option,
                                                               java.io.File value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD